from fastapi_users_db_sqlalchemy import SQLAlchemyBaseUserTableUUID
from sqlalchemy.orm import DeclarativeBase, Mapped
from src.database.role import Role


class Base(DeclarativeBase):
    pass

class User(SQLAlchemyBaseUserTableUUID, Base):
    username: Mapped[str]
    role: Mapped[Role]
    vpn_server_access: Mapped[bool]
    main_server_access: Mapped[bool]